import React from 'react';
export declare const UnmountImplWrapper: React.ForwardRefExoticComponent<{
    component: import("@sunmao-ui/core").RuntimeComponentSchema;
    childrenMap: import("../../..").ChildrenMap<string>;
    services: import("../../..").UIServices;
    isInModule: boolean;
    app?: import("@sunmao-ui/core").RuntimeApplication | undefined;
    slotProps?: unknown;
} & import("../../..").ComponentParamsFromApp & React.RefAttributes<HTMLDivElement>>;
